[![Contributors][contributors-shield]][contributors-url]
[![Forks][forks-shield]][forks-url]
[![Stargazers][stars-shield]][stars-url]
[![Issues][issues-shield]][issues-url]
[![MIT License][license-shield]][license-url]

<!-- PROJECT LOGO -->
<br />
<p align="center">
  <a href="https://github.com/wx-chevalier/repo">
    <img src="header.svg" alt="Logo" style="width: 100vw;height: 400px" />
  </a>

  <p align="center">
    <a href="https://github.com/wx-chevalier/repo">Demo</a>
    ·
    <a href="https://github.com/wx-chevalier">更多项目</a>
    ·
    <a href="https://ng-tech.icu/books">参考资料</a>
  </p>
</p>

<!-- ABOUT THE PROJECT -->

# Introduction

Soogle 是笔者构建自身搜索、外部服务访问能力的工具集合，[sg-index-\*](./sg-index-doc) 提供了将文档/图片建立索引使其可搜索的能力，[sg-ocr](./sg-ocr) 是桌面化图片内容提取的工具，[sg-server](./sg-server) 是提供独立部署的 Soogle 服务的服务端。

[alfred-sg](./alfred-sg) 在 Alfred，[vscode-sg](./vscode-sg) 在 VSCode 中快速使用 Soogle 提供的检索、翻译、识别等能力，同时也可以前往 [xCompass](https://github.com/wxyyxc1992/xCompass) 在完整的 Web 应用/小程序/Electron 等多终端使用。

## Nav | 导航

## alfred-sg

- Search in Doc

<img src="https://user-images.githubusercontent.com/5803001/50546216-fd70d480-0c5e-11e9-9b6b-cceaf7860c58.png" width="600px" height="400px" />

- Search in links([Awesome-Lists](https://github.com/wxyyxc1992/Awesome-Lists))

<img src="https://user-images.githubusercontent.com/5803001/50546165-352b4c80-0c5e-11e9-9f16-fb2a115a3506.png" width="600px" height="400px" />

# Getting Started

To get a local copy up and running follow these simple steps.

## Prerequisites

This is an example of how to list things you need to use the software and how to install them.

- npm

```sh
npm install npm@latest -g
```

## Installation


# About

<!-- ROADMAP -->

## Roadmap

See the [open issues](https://github.com/wx-chevalier/repo/issues) for a list of proposed features (and known issues).

<!-- CONTRIBUTING -->

## Contributing

Contributions are what make the open source community such an amazing place to be learn, inspire, and create. Any contributions you make are **greatly appreciated**.

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

<!-- LICENSE -->

## License

Distributed under the MIT License. See `LICENSE` for more information.

<!-- ACKNOWLEDGEMENTS -->

## Acknowledgements

- [Awesome-Lists](https://github.com/wx-chevalier/Awesome-Lists): 📚 Guide to Galaxy, curated, worthy and up-to-date links/reading list for ITCS-Coding/Algorithm/SoftwareArchitecture/AI. 💫 ITCS-编程/算法/软件架构/人工智能等领域的文章/书籍/资料/项目链接精选。

- [Awesome-CS-Books](https://github.com/wx-chevalier/Awesome-CS-Books): :books: Awesome CS Books/Series(.pdf by git lfs) Warehouse for Geeks, ProgrammingLanguage, SoftwareEngineering, Web, AI, ServerSideApplication, Infrastructure, FE etc. :dizzy: 优秀计算机科学与技术领域相关的书籍归档。

## Copyright & More | 延伸阅读

笔者所有文章遵循[知识共享 署名 - 非商业性使用 - 禁止演绎 4.0 国际许可协议](https://creativecommons.org/licenses/by-nc-nd/4.0/deed.zh)，欢迎转载，尊重版权。您还可以前往 [NGTE Books](https://ng-tech.icu/books/) 主页浏览包含知识体系、编程语言、软件工程、模式与架构、Web 与大前端、服务端开发实践与工程架构、分布式基础架构、人工智能与深度学习、产品运营与创业等多类目的书籍列表：

[![NGTE Books](https://s2.ax1x.com/2020/01/18/19uXtI.png)](https://ng-tech.icu/books/)

<!-- MARKDOWN LINKS & IMAGES -->
<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->

[contributors-shield]: https://img.shields.io/github/contributors/wx-chevalier/repo.svg?style=flat-square
[contributors-url]: https://github.com/wx-chevalier/repo/graphs/contributors
[forks-shield]: https://img.shields.io/github/forks/wx-chevalier/repo.svg?style=flat-square
[forks-url]: https://github.com/wx-chevalier/repo/network/members
[stars-shield]: https://img.shields.io/github/stars/wx-chevalier/repo.svg?style=flat-square
[stars-url]: https://github.com/wx-chevalier/repo/stargazers
[issues-shield]: https://img.shields.io/github/issues/wx-chevalier/repo.svg?style=flat-square
[issues-url]: https://github.com/wx-chevalier/repo/issues
[license-shield]: https://img.shields.io/github/license/wx-chevalier/repo.svg?style=flat-square
[license-url]: https://github.com/wx-chevalier/repo/blob/master/LICENSE.txt

